<div class="d-flex">
    <div class="w-80">
        <!--Page Content-->
        <div class="docs-sections ComponentBlock" *ngFor="let section of sections;">
            <div id="{{section.id}}"></div>
            <h4 class="docs-sectionHeading">
              <span>{{section.title}}</span>
              <span class="pull-right">
              <a class="fa fa-code text-gray docs-expandCode mx-8" (click)="section.expandCode = !section.expandCode" title="Toggle Code" tabindex="0"></a>
              <a class="mx-8 cursor-pointer" title="Try StalkBlitz Demo" (click)="tryDemoLink(section.url)"><svg viewBox="0 0 28 28" aria-hidden="true" class="_boltIcon_yct9u_9" height="16" width="16"><path d="M12.747 16.273h-7.46L18.925 1.5l-3.671 10.227h7.46L9.075 26.5l3.671-10.227z"></path></svg></a>
            </span>
            </h4> 
            <div class="my-8" [innerHTML]="section.description | keepHtml"></div>
          
            <!--Display output-->
            <div class="docs-sectionDemoCode ComponentBlock__view" [innerHTML]="section.demoCode | keepHtml">
            </div>
            <!--/Display output-->
          
            <!--Display code-->
            <div class="docs-sectionCopyCode ComponentBlock__code" *ngIf="section.expandCode">
          
              <sui-tabset>
                <div class="ui top attached tabular menu">
                    <a class="item" suiTabHeader="1">HTML</a>
                    <a class="item" suiTabHeader="2">CSS</a>
                    <a class="item" suiTabHeader="3">Variables</a>
                </div>
                <div class="ui bottom attached segment" suiTabContent="1">
              <!--Copy code button-->
              <button ngxClipboard [cbContent]="section.copyCode" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
              <!--/Copy code button-->
          
                    <!--Copy code display-->
              <pre>
                <code [highlight]="section.copyCode"></code>
              </pre>
              <!--/Copy code display-->
                  </div>
                  <div class="ui bottom attached segment" suiTabContent="2">
              <!--Copy code button-->
              <button ngxClipboard [cbContent]="section.copyCSS" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
              <!--/Copy code button-->
          
                      <!--Copy code display-->
              <pre>
                <code [highlight]="section.copyCSS"></code>
              </pre>
              <!--/Copy code display-->
                  </div>
                  <div class="ui bottom attached segment" suiTabContent="3">
        
              <!--Copy code button-->
              <button ngxClipboard [cbContent]="section.copyVar" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
              <!--/Copy code button-->
                      <!--Copy code display-->
              <pre>
                <code [highlight]="section.copyVar"></code>
              </pre>
              <!--/Copy code display-->
                  </div>
            </sui-tabset>
          
            </div>
            <!--/Display code-->
            
          </div>
          <!--Page Content-->
    </div>
    
    <div class="pageSection-stickybar">
      <h4>On this this page</h4>
      <ul>
        <li (click)="scrollTo('psection1')" [ngClass]="{ 'current-section': currentSection === 'psection1' }">Basic</li>
        <li (click)="scrollTo('psection2')" [ngClass]="{ 'current-section': currentSection === 'psection2' }">Profile/Image</li>
        <li (click)="scrollTo('psection3')" [ngClass]="{ 'current-section': currentSection === 'psection3' }">Mobile enabled</li>
        <li (click)="scrollTo('psection4')" [ngClass]="{ 'current-section': currentSection === 'psection4' }">Web enabled</li>
        <li (click)="scrollTo('psection5')" [ngClass]="{ 'current-section': currentSection === 'psection5' }">Selected</li>
        <li (click)="scrollTo('psection6')" [ngClass]="{ 'current-section': currentSection === 'psection6' }">Offline</li>
      </ul>
    </div>
    </div>